Status: Needs Feedback Priority: Should have
Author: Henrik Møller Rasmussen Category: Persistence
Created: 2011-07-09 Assigned To: Karsten Dambekalns
Updated: 2013-02-14 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Cascade remove of cleared ArrayCollection
Description

If an aggregate root calls the clear() method of an ArrayCollection property with cascade="all", the child items are not removed from
the database.

If however, you iterate through the collection calling remove($item) on the ArrayCollection, the items are removed from the DB.

Related issues:
related to TYPO3.Flow - Bug # 36804: Orphaned entities within aggregates are ... New 2012-05-03

History
#1 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#2 - 2012-03-14 14:47 - Christian Müller
- Status changed from New to Needs Feedback
- Has patch set to No

Is this still the case? From what I see the behavior of remove and clear should be the same.

#3 - 2012-04-28 19:01 - Carsten Bleicker

Same here.
but i only tried the clear of array collection.
remove wasnt testet yet.

#4 - 2013-02-14 20:46 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns
